<?php

namespace Onestartup\Product\Model;

use Illuminate\Database\Eloquent\Model;

class Product extends Model
{
    protected $table = 'products';
    protected $fillable = [
    	'name',
		'slug',
		'description',
		'specifications',
		'features',
		'active',
		'category_id'
    ];

    public function category()
    {
        return $this->belongsTo('Onestartup\Product\Model\ProductCategory', 'category_id');
    }

    public function images()
    {
        return $this->hasMany('Onestartup\Product\Model\ProductImage', 'product_id');
    }
}
