@extends('crm-admin::main-layout')
@section('css_extras')
<link href="https://cdnjs.cloudflare.com/ajax/libs/dropzone/5.4.0/min/dropzone.min.css" rel='stylesheet' type='text/css'>
@endsection
@section('content')
<div class='row'>
  <div class='col-md-12'>
    <div class='box'>
      <div class='box-header dark'>
        <h2>Actualizar información del producto</h2>
      </div>
      <div class='box-body'>
        {!! Form::model($product,['route'=> ['admin.product.update', $product->id],"method"=>"PUT"]) !!}
        @include('product::product.fields')
      </div>
      <div class='dker p-a text-right'>
        <div class='col-md-12'>
          <a class='btn danger' href="{{route('admin.product.index')}}" style='margin-right:10px'>Cancelar</a>
          {!! Form::submit('Actualizar información', ['class'=>'btn dark']) !!}
          {!! Form::close() !!}
        </div>
      </div>
    </div>
  </div>
</div>

<div class='row'>
  <div class='col-md-12'>
    <div class='box'>
      <div class='box-header dark'>
        <h2>Galeria de imagenes</h2>
      </div>
      <div class='box-body'>
        <div class="row">
          <div class="col-md-6">
            
            {!! Form::open(['route'=> ['admin.product.files.store', $product->id], 'method' => 'POST', 'files'=>'true', 'id' => 'my-dropzone' , 'class' => 'dropzone']) !!}
              <div class="dz-message" style="height:200px;">
                  Arrastra las imagenes aqui
              </div>
              <div class="dropzone-previews"></div>
              <button type="submit" class="btn btn-success" id="submitFiles">Save</button>
            {!! Form::close() !!}

          </div>
          <div class="col-md-6">
            @if($product->images->count() > 0)
              <div class="row">
                @foreach($product->images as $img)
                  <div class="col-md-4">
                    <img src="{{$img->path}}" width="100%">  
                    {!! Form::open(['route'=> ['admin.product.gallery.delete',$img->id],'method'=>'DELETE'])!!}
                      <button class='btn btn-danger btn-block' onclick="return confirm('¿Estás seguro de eliminar este elemento?');" type='submit'>
                        <i class='fas fa-trash-alt icon-special-size'></i>
                        Eliminar
                      </button>
                    {!! Form::close()!!}
                  </div>
                @endforeach
              </div>
            @endif
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

@endsection

@section('script_extras')
<script src='https://cdn.ckeditor.com/4.8.0/standard/ckeditor.js'></script>
<script>
  var options = {
    filebrowserImageBrowseUrl: '/laravel-filemanager?type=Images',
    filebrowserImageUploadUrl: '/laravel-filemanager/upload?type=Images&_token=',
    filebrowserBrowseUrl: '/laravel-filemanager?type=Files',
    filebrowserUploadUrl: '/laravel-filemanager/upload?type=Files&_token='
  };
</script>
<script>
  CKEDITOR.replace('description', options);
  CKEDITOR.replace('features', options);
  CKEDITOR.replace('specifications', options);
</script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/dropzone/5.4.0/min/dropzone.min.js"></script>

<script type="text/javascript">
  
 Dropzone.options.myDropzone = {
            autoProcessQueue: false,
            uploadMultiple: true,
            maxFilezise: 10,
            maxFiles: 5,
            
            init: function() {
                var submitBtn = document.querySelector("#submitFiles");
                myDropzone = this;
                
                submitBtn.addEventListener("click", function(e){
                    e.preventDefault();
                    e.stopPropagation();
                    myDropzone.processQueue();
                });
                this.on("addedfile", function(file) {
                    //alert("file uploaded");
                });
                
                this.on("complete", function(file) {
                    myDropzone.removeFile(file);
                    //alert('que pex');
                });
 
                this.on("success", function(myDropzone){

                  swal({
                    title: "Finalizado",
                    text: "Tus imagénes subieron correctamente",
                    icon: "success",
                    closeOnEsc: false,
                    closeOnClickOutside: false,
                  }).then((value) => {
                    location.reload();
                  });

                  myDropzone.processQueue.bind(myDropzone)
                   
                });
            }
        };

</script>

@endsection
